@charset 'UTF-8';

/* ====================================================================== */
/* リセット
======================================= */
html,body,h1,h2,h3,h4,h5,h6,div,section,article,menu,figure,p,span,a,ul,li,dd,dt,small,img{
  margin:0;
  padding:0;
  border:0;
}
a:link{
  text-decoration:none;
  color:#449;
}
a:visited{
  color:#449;
}
li{
  list-style-type:none;
}

/* webフォント
======================================= */
@font-face {
  font-family: 'myfont';
  src:
    url('/font/GenShinGothic-P-Medium.ttf') format('truetype');
  font-weight: 400;
  font-display: swap;
}
@font-face {
  font-family: 'myfont';
  src:
    url('/font/GenShinGothic-P-Bold.ttf') format('truetype');
  font-weight: 700;
  font-display: swap;
}
/* -------- */
/* @font-face {
  font-family: 'myfont';
  src:
    url('/font/LINESeedJP_OTF_Th.woff2') format('woff2');
  font-weight: 100;
  font-display: swap;
}
@font-face {
  font-family: 'myfont';
  src:
    url('/font/LINESeedJP_OTF_Rg.woff2') format('woff2');
  font-weight: 400;
  font-display: swap;
}
@font-face {
  font-family: 'myfont';
  src:
    url('/font/LINESeedJP_OTF_Bd.woff2') format('woff2');
  font-weight: 700;
  font-display: swap;
}
@font-face {
  font-family: 'myfont';
  src:
    url('/font/LINESeedJP_OTF_Eb.woff2') format('woff2');
  font-weight: 900;
  font-display: swap;
} */
/* -------- */
/* @font-face {
  font-family: 'myfont';
  src:
    url('/font/HackGen35-Regular.ttf') format('truetype'),
    url('/font/HackGen35-Bold.ttf') format('truetype');
  font-display: swap;
} */

/*
GenShinGothic-P-Bold
GenShinGothic-P-Medium  ちょうど良い太さ
GenShinGothic-P-Regular
*/


/* @font-face {
  font-family: 'Roboto';
  src:
    url('/font/Roboto-Regular.ttf') format('truetype');
  font-weight: 300;
  font-display: swap;
}
@font-face {
  font-family: 'Roboto';
  src:
    url('/font/Roboto-Medium.ttf') format('truetype');
  font-weight: 400;
  font-display: swap;
}
@font-face {
  font-family: 'Roboto';
  src:
    url('/font/Roboto-Bold.ttf') format('truetype');
  font-weight: 700;
  font-display: swap;
} */
/* 
Roboto-Thin
Roboto-Light
Roboto-Regular
Roboto-Medium
Roboto-Bold
Roboto-Black
*/


/* ====================================================================== */

html,body,#svelte{
  position: relative;
  width: 100%;
  height: 100%;
}

html{
  /* font-family: 'BIZ UDPGothic','メイリオ', sans-serif; */
  font-family: 'myfont', 'メイリオ', sans-serif;
  /* font-size: calc(11px + .3vw); */
  --tr: .04s;
  line-height: 1;
}
input,textarea{font-family: 'myfont', 'メイリオ', sans-serif}
@media screen and (min-width:2000px){html{font-size: 14px;}}
@media screen and (min-width:1400px) and (max-width:1999px){html{font-size: 12px;}}
@media screen and (max-width:1399px){html{font-size: 10px;}}
input[type="text"],
input[type="password"],
input[type="email"],
input[type="url"],
input[type="number"]{
  font-size: 1rem;
}

input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
  -moz-appearance: textfield;
}

.material-icons-round{
  font-family: 'Material Icons';
  font-weight: normal;
  font-style: normal;
  display: inline-block;
  line-height: 1;
  text-transform: none;
  letter-spacing: normal;
  word-wrap: normal;
  white-space: nowrap;
  direction: ltr;
  user-select: none;

  /* Support for all WebKit browsers. */
  -webkit-font-smoothing: antialiased;
  /* Support for Safari and Chrome. */
  text-rendering: optimizeLegibility;
  /* Support for Firefox. */
  -moz-osx-font-smoothing: grayscale;
}

/*
.material-icons.md-dark { color: rgba(0, 0, 0, 0.54); }
.material-icons.md-dark.md-inactive { color: rgba(0, 0, 0, 0.26); }

.material-icons.md-light { color: rgba(255, 255, 255, 1); }
.material-icons.md-light.md-inactive { color: rgba(255, 255, 255, 0.3); }
 */

/* ================ */

*::-webkit-scrollbar{
  width: 6px;
  height: 8px;
}
*::-webkit-scrollbar-track{
  background-color: #e2e8e0;
}
*::-webkit-scrollbar-thumb{
  background-color: #666;
  border-radius: 9em;
}

/* ================ */

i{user-select: none;}

.fss{
  display: flex;
  align-items: flex-start;
  justify-content: flex-start;
}
.fsc{
  display: flex;
  align-items: flex-start;
  justify-content: center;
}
.fse{
  display: flex;
  align-items: flex-start;
  justify-content: flex-end;
}
.fcs{
  display: flex;
  align-items: center;
  justify-content: flex-start;
}
.fcc{
  display: flex;
  align-items: center;
  justify-content: center;
}
.fce{
  display: flex;
  align-items: center;
  justify-content: flex-end;
}
.fes{
  display: flex;
  align-items: flex-end;
  justify-content: flex-start;
}
.fec{
  display: flex;
  align-items: flex-end;
  justify-content: center;
}
.fee{
  display: flex;
  align-items: flex-end;
  justify-content: flex-end;
}

.crsrp{
  cursor: pointer;
}
.crsrd{
  cursor: default;
}
.crsrg{
  cursor: grab;
}


._toastContainer *{
  user-select: none;
}
